
struct VsOutput
{
  float4 pos: POSITION;
  float2 tc : TEXCOORD0;
};

float4 ofs   : register(c16);
float4 texsz : register(c17);

VsOutput vsh(float2 pos : POSITION)
{
  VsOutput O;
  O.pos=float4(pos+ofs.xy, 1, 1);
  O.tc=pos.xy*texsz.xy+texsz.zw;
  return O;
}


sampler tex : register(s0);


float4 psh(VsOutput I) : COLOR
{
  return tex2D(tex, I.tc);
}
